=== debian/changelog ===
davix (0.4.0-1) unstable; urgency=medium

  * Update to version 0.4.0

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 08 Dec 2014 16:31:16 +0100

davix (0.3.6-1) unstable; urgency=medium

  * Update to version 0.3.6

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 23 Oct 2014 16:02:47 +0200
