## davix 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,9 +29,9 @@
 set(OUTPUT_NAME_DAVIX "davix")
 set(VERSION_MAJOR 0)
 set(VERSION_MINOR 4)
-set(VERSION_PATCH 0)
+set(VERSION_PATCH 1)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
-set(VERSION_TAG "prod")
+set(VERSION_TAG "")
 
 
 # dependency mode
