=== src/tools/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 LIST(APPEND davix_mkcol_main_src "davix_tool_mkcol_main.cpp")
 LIST(APPEND davix_mv_main_src "davix_tool_mv_main.cpp")
 LIST(APPEND davix_copy_main_src "davix_tool_copy_main.cpp")
-LIST(APPEND davix_tool_common_src "${CMAKE_CURRENT_SOURCE_DIR}/davix_tool_params.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/davix_tool_util.cpp" "${SRC_SIMPLE_GET_PASS}")
+LIST(APPEND davix_tool_common_src "${CMAKE_CURRENT_SOURCE_DIR}/davix_tool_params.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/davix_tool_util.cpp" "${SRC_SIMPLE_GET_PASS}" "${CMAKE_CURRENT_SOURCE_DIR}/davix_op.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/davix_taskqueue.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/davix_thread.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/davix_thread_pool.cpp")
 SET(davix_tool_common_src_up "${davix_tool_common_src}" PARENT_SCOPE)
 
 link_directories(${PROJECT_BINARY_DIR}/src/)
@@ -25,6 +25,7 @@
 if(HAVE_CLOCK_GETTIME)
     set(RT_LIBRARIES "rt")
 endif(HAVE_CLOCK_GETTIME)
+
 
 ## davix tool lib
 add_library(davix_tool_lib STATIC ${davix_tool_common_src})
@@ -50,7 +51,7 @@
 ## davix get cmd line
 add_executable(davix_get_tool ${davix_get_main_src})
 
-target_link_libraries(davix_get_tool davix_tool_lib davix ${RT_LIBRARIES})
+target_link_libraries(davix_get_tool davix_tool_lib davix pthread ${RT_LIBRARIES})
 set_target_properties(davix_get_tool PROPERTIES
                                 OUTPUT_NAME "davix-get")
 add_dependencies(davix_get_tool libdavix)
@@ -58,7 +59,7 @@
 ## davix put cmd line
 add_executable(davix_put_tool ${davix_put_main_src})
 
-target_link_libraries(davix_put_tool davix_tool_lib davix ${RT_LIBRARIES})
+target_link_libraries(davix_put_tool davix_tool_lib davix pthread ${RT_LIBRARIES})
 set_target_properties(davix_put_tool PROPERTIES
                                 OUTPUT_NAME "davix-put")
 add_dependencies(davix_put_tool libdavix)
