=== debian/changelog ===
davix (0.4.1-2) unstable; urgency=medium

  * Rename libdavix0 to libdavix0v5 for GCC 5 abi change - based on
    patch from Ubuntu (Closes: #791021, #793228)
  * Add Replaces/Breaks on the old library package name

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 13 Aug 2015 12:05:40 +0200

davix (0.4.1-1) unstable; urgency=medium

  * Update to version 0.4.1
  * Implement Multi-Arch support

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 31 Jul 2015 13:17:55 +0200
