=== debian/control ===
--- 
+++ 
@@ -8,14 +8,18 @@
 
 Package: davix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdavix0 (= ${binary:Version})
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdavix0v5 (= ${binary:Version})
 Description: Toolkit for http based file management
  Davix is a toolkit designed for file operations with http based protocols
  (WebDav, Amazon S3, ...).
 
-Package: libdavix0
+Package: libdavix0v5
 Section: libs
 Architecture: any
+Multi-Arch: same
+Replaces: libdavix0 (<< 0.4.1-2~)
+Breaks: libdavix0 (<< 0.4.1-2~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Runtime library for davix
  Library for davix. Davix is a toolkit designed for file operations with
@@ -24,7 +28,8 @@
 Package: davix-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdavix0 (= ${binary:Version})
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdavix0v5 (= ${binary:Version})
 Description: Development files for davix
  Development files for davix. Davix is a toolkit designed for file operations
  with http based protocols (WebDav, Amazon S3, ...).
@@ -32,6 +37,7 @@
 Package: davix-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Documentation for davix
  Documentation and examples for davix. Davix is a toolkit designed for file
