## davix 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,8 @@
 
 set(OUTPUT_NAME_DAVIX "davix")
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 4)
-set(VERSION_PATCH 1)
+set(VERSION_MINOR 5)
+set(VERSION_PATCH 0)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 set(VERSION_TAG "")
