=== debian/changelog ===
davix (0.5.0-1build1) xenial; urgency=medium

  * No-change rebuild for gsoap transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 07:23:25 +0000

davix (0.5.0-1) unstable; urgency=medium

  * Update to version 0.5.0
  * Add dbg packages

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 02 Dec 2015 10:38:54 +0100
