=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: davix
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 8.0.0), cmake, libxml2-dev, libssl-dev, gsoap, libgridsite-dev, libboost-system-dev, libboost-thread-dev, rapidjson-dev, libgtest-dev, abi-compliance-checker, pkg-config, doxygen
+Build-Depends: debhelper (>= 8.0.0), cmake, libxml2-dev, libssl-dev, gsoap, libboost-system-dev, libboost-thread-dev, rapidjson-dev, libgtest-dev, abi-compliance-checker, pkg-config, doxygen
 Standards-Version: 3.9.6
 Section: net
 Homepage: http://dmc.web.cern.ch/projects/davix/home
@@ -29,7 +29,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdavix0v5 (= ${binary:Version})
+Depends: ${misc:Depends}, libdavix0v5 (= ${binary:Version})
 Description: Development files for davix
  Development files for davix. Davix is a toolkit designed for file operations
  with http based protocols (WebDav, Amazon S3, ...).
@@ -42,3 +42,23 @@
 Description: Documentation for davix
  Documentation and examples for davix. Davix is a toolkit designed for file
  operations with Http based protocols (WebDav, Amazon S3, ...).
+
+Package: davix-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends}, davix (= ${binary:Version})
+Description: Debug symbols for the davix tools
+ Debug symbols for the davix tools. Davix is a toolkit designed for
+ file operations with http based protocols (WebDav, Amazon S3, ...).
+
+Package: libdavix-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libdavix0v5 (= ${binary:Version})
+Description: Debug symbols for the davix library
+ Debug symbols for the davix library. Davix is a toolkit designed for
+ file operations with http based protocols (WebDav, Amazon S3, ...).
