=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,10 @@
 	rm debian/tmp/usr/share/doc/davix/LICENSE
 	dh_install --fail-missing
 
+override_dh_strip:
+	dh_strip -X/lib/ --dbg-package davix-dbg
+	dh_strip -X/bin/ --dbg-package libdavix-dbg
+
 override_dh_auto_clean:
 	rm -f test/unit/gtest
 	dh_auto_clean
